# McStas configuration options 
#
# In this file, you can set up configuration options
# used by the McStas perl tools. 
#
# CFLAGS   - compiler flags (should not require changes)
# LDFLAGS  - linker flags (should not require changes)
# CC       - c compiler command (should not requrire changes)
# PLOTTER  - Choice of default plotting backend, possible values:
#            0 - PGPLOT (Unix only)
#            1 - Matlab (Unix / Win32)
#            2 - Matlab script file (Unix / Win32)
#            3 - Scilab (Unix only)
#            4 - Scilab script file (Unix / Win32)
# MATLAB_COMMAND - command to execute matlab (Unix only)
# SCILAB_COMMAND - command to execute scilab (Unix only)
#

%MCSTAS::mcstas_config =
    (CFLAGS => '-O2 -fno-strict-aliasing -pipe ',
     LDFLAGS => '',
     CC => 'cc',
     PLOTTER => 0,
     MATLAB_COMMAND => 'matlab -nojvm > /dev/null',
     SCILAB_COMMAND => 'scilab -nw > /dev/null'
     );

1;

#
#   This file is part of the McStas neutron ray-trace simulation package
#   Copyright (C) 1997-2004, All rights reserved
#   Risoe National Laborartory, Roskilde, Denmark
#   Institut Laue Langevin, Grenoble, France
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
